Subject: [PATCH v4 0/8] --valgrind improvements

From: Thomas Rast <[email-masked]>
Date: Sun, 23 Jun 2013 20:12:51 +0200

> Please hold off; Fredrik found an issue with the test automation that
> bisects to "verbose mode for only tests matching a pattern"; when
> running with the 'test' target (not with prove however), the suite
> reports
> 
>   failed test(s):  
> 
>   fixed   0
>   success 9788
>   failed  2
>   broken  69
>   total   9989
> 
> Even worse, I botched a rebase that makes the commit before --
> "self-test that --verbose works" untestable.  I'm pretty sure that it
> has the same problem, too, though I'm still investigating the actual
> issue.

This should fix it.  The culprit was that the test suite generates
.counts files when not under $TEST_HARNESS, and these are seen and
reported by aggregate-results.  So this version changes 4/8 to set
TEST_HARNESS, instead of unsetting it.

Sorry for the trouble.

Thomas Rast (8):
  test-lib: enable MALLOC_* for the actual tests
  test-lib: refactor $GIT_SKIP_TESTS matching
  test-lib: rearrange start/end of test_expect_* and test_skip
  test-lib: self-test that --verbose works
  test-lib: verbose mode for only tests matching a pattern
  test-lib: valgrind for only tests matching a pattern
  test-lib: allow prefixing a custom string before "ok N" etc.
  test-lib: support running tests under valgrind in parallel

 t/README                |  10 ++
 t/t0000-basic.sh        |  61 +++++++++++-
 t/test-lib-functions.sh |   6 +-
 t/test-lib.sh           | 246 ++++++++++++++++++++++++++++++++++++++----------
 t/valgrind/valgrind.sh  |   3 +
 5 files changed, 274 insertions(+), 52 deletions(-)

-- 
1.8.3.1.727.gcbe3af3